Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.axf.core
Interface IModel

All Superinterfaces:
  ILifecycleNotifier, IObservationProvider

All Known Implementing Classes:
  ScapeWrapperModel

    public interface IModel

extends IObservationProvider, ILifecycleNotifier

The Interface IModel.

Method Summary
`IEngine` | `getEngine()` Gets the engine.
`java.lang.String` | `getName()` Gets the name.
`int` | `getPeriod()` Gets the period, encoded as a long value as defined by the IEngine time granularity.
`java.lang.Object` | `getRoot()` Returns the root object for the model, that is the modeled object itself.
`int` | `getStopPeriod()` Gets the stop period.
`java.lang.String` | `getTimeDescription()` Gets the time description.

Methods inherited from interface org.eclipse.amp.axf.core.IObservationProvider
`isActive, isCreated, isEnded, isEnding, isInitialized, isStarted, isStopped`

Methods inherited from interface org.eclipse.amp.axf.core.ILifecycleNotifier
`addModelListener, getModelListeners, removeModelListener`

Method Detail

### getTimeDescription

    java.lang.String getTimeDescription()

  Gets the time description.

  Returns:
    the time description

### getEngine

    IEngine getEngine()

  Gets the engine.

  Returns:
    the engine

### getRoot

    java.lang.Object getRoot()

  Returns the root object for the model, that is the modeled object itself.

  Returns:

### getName

    java.lang.String getName()

  Gets the name.

  Returns:
    the name

### getPeriod

    int getPeriod()

  Gets the period, encoded as a long value as defined by the IEngine time granularity.

  Returns:
    the period

### getStopPeriod

    int getStopPeriod()

  Gets the stop period.

  Returns:
    the stop period

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD